%define anolis_release 2
%global debug_package %{nil}
%global _efi_vendor_ anolis

Name: efi-rpm-macros
Version: 4
Release: %{anolis_release}%{?dist}
Summary: Common RPM Macros for building EFI-related packages
License: GPLv3+
Epoch: 1
URL: https://github.com/rhboot/%{name}/
BuildRequires: git
BuildRequires: sed
BuildRequires: make
BuildArch: noarch

Source0: https://github.com/rhboot/efi-rpm-macros/archive/refs/tags/%{version}.tar.gz

Patch1001: 0002-add-loongarch64-support-for-efi_arch.patch

%description
%{name} provides a set of RPM macros for use in EFI-related packages.

%package -n efi-srpm-macros
Summary: Common SRPM Macros for building EFI-related packages
Requires: rpm
BuildArch: noarch

%description -n efi-srpm-macros
efi-srpm-macros provides a set of SRPM macros for use in EFI-related packages.

%package -n efi-filesystem
Summary: The basic directory layout for EFI machines
Requires: filesystem
BuildArch: noarch

%description -n efi-filesystem
The efi-filesystem package contains the basic directory layout for EFI
machine bootloaders and tools.

%package doc
Summary:        Documentation files for %{name}
Requires:       efi-srpm-macros = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git_am -n %{name}-%{version} -p1
git config --local --add efi.vendor "%{_efi_vendor_}"
git config --local --add efi.esp-root /boot/efi
git config --local --add efi.arches "x86_64 aarch64 %{arm} %{ix86} loongarch64"

%build
%make_build clean all

%install
%make_install

%files -n efi-srpm-macros
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_rpmmacrodir}/macros.efi-srpm
%{_rpmconfigdir}/brp-boot-efi-times

%files -n efi-filesystem
%defattr(0700,root,root,-)
%dir /boot/efi
%dir /boot/efi/EFI
%dir /boot/efi/EFI/BOOT
%dir /boot/efi/EFI/%{_efi_vendor_}

%files doc
%doc README

%changelog
* Mon Apr 01 2024 Wenlong Zhang<zhangwenlong@loongson.cn> - 4-2
- add loongarch64 support for efi_arch

* Fri Mar 22 2024 Zhenyu Wang <wang.zhenyu5@zte.com.cn> - 4-1
- revert to version 4

* Thu Oct 26 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 5-6
- add loongarch64 support for efi_arch

* Tue Oct 10 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 5-5
- add  loongarch64 support for efi-rpm-macros

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 5-4
- Optimize spec file

* Thu Feb 09 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 5-3
- add patch to remove arm as an alt for aarch64

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5-2
- add doc package

* Tue Mar 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5-1
- init from upstream version 5 
